$onisHeaderTextColor: #e4e4e4;
$onisHeaderBackgroundColor: #00629b;
$onisH2BackgroundColor: #0099D8;

.toast {
  opacity: 1;
}

/* HEADER and FOOTER */
.onis-header {
  background: linear-gradient(180deg, #002f58 0%, #001d36);
  width: 100%;
  font-size: 22px;
}

.onis-footer {
  background-color: $onisHeaderBackgroundColor;
  font-size: 14px;
  color: $onisHeaderTextColor;
}

.onis-header .left-navbar-nav li {
  padding-left: 1rem;
  padding-right: 1rem;
  position: relative;
}

.onis-header .left-navbar-nav li:hover:after {
  content: "";
  width: 100%;
  border-bottom: .25rem solid $onis-active-menu;
  position: absolute;
  bottom:-.5rem;
}

.onis-header li.active:after {
  content: "";
  width: 100%;
  border-bottom: .25rem solid $onis-active-menu;
  position: absolute;
  bottom:-.5rem;
}

.onis-header .nav-link {
  color: $onisHeaderTextColor;
}

@include media-breakpoint-up(lg) {
  .navbar-brand {
    background-image: url('/img/spectrumLogo.png');
    //background-image: url('/img/onis-logo.png');
    background-repeat: no-repeat;
    min-width: 161px;
    height: 41px;
    line-height: 0;
    font-size: 0;
    color: transparent;
  }
}

@include media-breakpoint-down(md) {
  .navbar-brand {
    color: $onisHeaderTextColor;
  }
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255,255,255,0.5%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.onis-footer .nav-link {
  color: $onisHeaderTextColor;
}

.onis-footer a.nav-link:hover {
  color: $onisHeaderTextColor;
  text-decoration: underline;
}

.onis-hover-link {
  color: $body-color;
  text-decoration: none;
}

.onis-hover-link:hover {
  color: $link-color;
  text-decoration: underline;
}

.onis-path-container {
  @extend .container;
  // TODO - size vars
  min-height: $font-size-base * 3;
}

/* forms */
.onis-h2-row .accordion-button {
  padding: $input-btn-padding-y $input-btn-padding-x $input-btn-padding-y $input-btn-padding-x;
  border: 0px;
  background-color: #0099D8;
  color: white;
}

.onis-h2 {
  color: white;
  background-color: #0099D8;
}

/* Bootstrap accordian bug fix */
.accordion-button::after {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='white'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e")
}

/* TODO use Bootstrap 5 gutters */
.mx-n1 {
  margin-left: map-get($spacers, 1)*-1;
  margin-right: map-get($spacers, 1)*-1;
}
.my-n1 {
  margin-top: map-get($spacers, 1)*-1;
  margin-bottom: map-get($spacers, 1)*-1;
}
.mt-n1 {
  margin-top: map-get($spacers, 1)*-1;
}
.mb-n1 {
  margin-bottom: map-get($spacers, 1)*-1;
}



.onis-layout .onis-label {
  font-weight: $font-weight-bold;
  align-self: flex-end;
}
.onis-layout .onis-left-label {
  font-weight: $font-weight-bold;
  text-align: right;
  align-self: center;
}

.onis-layout .onis-field-row {
  margin-bottom: map-get($spacers, 2);
}

// Page heading row
.onis-h1-row {
  color: $onis-heading-color;
  margin-top: map-get($spacers, 2);
  margin-bottom: map-get($spacers, 2);
}

.onis-h1-row h1 {
  font-size: $font-size-base * 1.5;
  margin-bottom: 0;
}

.onis-h1-row i {
  color: #6c757d;
}

.onis-h1-icon {
  font-size: $font-size-base * 3;
  margin-right: map-get($spacers, 1);
  position: relative;
  color: $onisH2BackgroundColor !important;
}

.onis-h1-icon-badge {
  font-size: $font-size-base / 2;
  position: absolute;
  transform: translateX(-50%) translateY(-50%);
}





.progressbar {
  margin-top:20px;
  counter-reset: step;
}

.progressbar i {
  width: 32px;
  height: 32px;
}

.progressbar li {
  list-style-type: none;
  width: 20%;
  float: left;
  font-size: 12px;
  position: relative;
  text-align: center;
  text-transform: uppercase;
  color: #7d7d7d;
}
.progressbar li:before {
  width: 30px;
  height: 30px;
  content: counter(step);
  counter-increment: step;
  line-height: 30px;
  border: 2px solid #7d7d7d;
  display: block;
  text-align: center;
  margin: 0 auto 10px auto;
  border-radius: 50%;
  background-color: white;
}
.progressbar li:after {
  width: 100%;
  height: 2px;
  content: '';
  position: absolute;
  background-color: #7d7d7d;
  top: 14px;
  left: -50%;
  z-index: -1;
}
.progressbar li:first-child:after {
  content: none;
}
.progressbar li.active {
  color: #0099D8;
}
.progressbar li.active:before {
  border-color: #0099D8;
}
.progressbar li.active + li:after {
  background-color: #7d7d7d;
}


.onis-input-height {
  height: $font-size-base * $line-height-base;
}

.onis-table-heading {
  background-color: $onis-table-heading;
}


.onis-rate-card th, .onis-rate-card td, .onis-rate-card th, .onis-rate-card td {
  padding-left: 4px;
  padding-right: 4px;
  padding-top: 1px;
  padding-bottom: 1px;
}

.onis-rate-card th {
  background-color: #1c3a6d;
  color: white;
  border-collapse: collapse;
  border: 1px solid black;
  border-right: 1px solid white;
}

.onis-rate-card th:last-child {
  border-right: 1px solid black;
}

.onis-rate-card td {
  border: 1px solid black;
}

/*h2 {
  color: #0099DB;
}*/

// TODO
.breadcrumb-item i {
  color: #0099D8;
}

/*.main-header {
  background: linear-gradient(180deg, #002f58 0%, #001d36);
  width: 100%;
}

@include media-breakpoint-up(lg) {
  .main-nav .navbar-brand {
    background-image: url('/img/spectrumLogo.png');
    background-repeat: no-repeat;
    min-width: 161px;
    height: 41px;
    line-height: 0;
    font-size: 0;
    color: transparent;
  }
}

@include media-breakpoint-down(md) {
  .main-nav .navbar-brand {
    color: white;
  }
}

.main-nav .left-navbar-nav li {
  padding-left: 1rem;
  padding-right: 1rem;
  position: relative;
}

.main-nav .left-navbar-nav li:hover:after {
  content: "";
  width: 100%;
  border-bottom: .25rem solid $onis-active-menu;
  position: absolute;
  bottom:-.5rem;
}

.main-nav li.active:after {
  content: "";
  width: 100%;
  border-bottom: .25rem solid $onis-active-menu;
  position: absolute;
  bottom:-.5rem;
}

.main-nav .nav-link {
  font-size: 22px;
  color: #ffffff;
}

.main-nav {
  color: white;
}
*/

// TODO - Bootstrap defect workaround
.form-select {
  -webkit-appearance: none;
}

table.dataTable th.select-checkbox {
  background-image:none !important;
}
